blfwk::CommandPacket Class Reference

Command packet operations. More...

`#include <Command.h>`

Collaboration diagram for blfwk::CommandPacket:
[legend]

## Classes

struct | PacketWithArgs
| Format of command packet. More...

## Public Member Functions

| CommandPacket (uint8_t tag, uint8_t flags=0)
| Constructor that takes no command arguments.
| CommandPacket (uint8_t tag, uint8_t flags, uint32_t arg)
| Constructor that takes one command argument.
| CommandPacket (uint8_t tag, uint8_t flags, uint32_t arg1, uint32_t arg2)
| Constructor that takes two command arguments.
| CommandPacket (uint8_t tag, uint8_t flags, uint32_t arg1, uint32_t arg2, uint32_t arg3)
| Constructor that takes three command arguments.
| CommandPacket (uint8_t tag, uint8_t flags, uint32_t arg1, uint32_t arg2, uint32_t arg3, uint32_t arg4)
| Constructor that takes four command arguments.
uint32_t | getSize () const
| Get size of command packet, including arguments.
const uint8_t * | getData ()
| Get pointer to command packet data.
const uint8_t * | sendCommandGetResponse (Packetizer &device)
| Send command packet and read response. More...

## Protected Types

enum | _command_packet_constants { kMaxCommandArguments }
| Constants. More...

## Protected Attributes

int | m_numArguments
| Number of command arguments.
PacketWithArgs | m_packet
| Command packet data.

## Detailed Description

Command packet operations.

Formats command packets and runs the command phase.

## Member Enumeration Documentation

enum blfwk::CommandPacket::_command_packet_constants

protected

Constants.

Enumerator
kMaxCommandArguments | 7 args max for packet size 32 bytes

## Member Function Documentation

const uint8_t * blfwk::CommandPacket::sendCommandGetResponse | ( | Packetizer & | device | ) |

Send command packet and read response.

See host_command.h for documentation on this function.

Returns
  Pointer to response packet.

The documentation for this class was generated from the following files:

- Command.h
- Command.cpp